[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LCLType' (#lcl)

# _ABC

Record describing the width of a TrueType character.

## Declaration

Source position: lcltype.pp line 226

`type _ABC = record`
`abcA: Integer;` |  | The (possibly negative) distance to add to the current position before drawing the character glyph.
`abcB: UINT;` |  | The width of the character glyph.
`abcC: Integer;` |  | The (possibly negative) distance to add to the current position after drawing the character glyph.
`end;`

## Description

The effective display width for a single character is A+B+C.

The width of multiple characters should exclude the first A and last C value.

Negative A and C values allow for underhangs or overhangs, e.g. italics.